Package org.apache.cayenne.access.translator.ejbql

## Class JdbcEJBQLTranslatorFactory

- java.lang.Object
- - org.apache.cayenne.access.translator.ejbql.JdbcEJBQLTranslatorFactory

- All Implemented Interfaces:
    `EJBQLTranslatorFactory`
  Direct Known Subclasses:
    `DB2EJBQLTranslatorFactory`, `DerbyEJBQLTranslatorFactory`, `FirebirdEJBQLTranslatorFactory`, `HSQLEJBQLTranslatorFactory`

      public class JdbcEJBQLTranslatorFactory
      extends Object
      implements EJBQLTranslatorFactory

  A default EJBQLTranslatorFactory.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `caseInsensitive` |
    `protected static String` | `JOIN_APPENDER_KEY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JdbcEJBQLTranslatorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EJBQLExpressionVisitor` | `getAggregateColumnTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getConditionTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getDeleteTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getFromTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getGroupByTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getIdentifierColumnsTranslator​(EJBQLTranslationContext context)` |
    `EJBQLJoinAppender` | `getJoinAppender​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getOrderByTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getSelectColumnsTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getSelectTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getUpdateItemTranslator​(EJBQLTranslationContext context)` |
    `EJBQLExpressionVisitor` | `getUpdateTranslator​(EJBQLTranslationContext context)` |
    `void` | `setCaseInsensitive​(boolean caseInsensitive)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JOIN_APPENDER_KEY

          protected static final String JOIN_APPENDER_KEY

      See Also:
        Constant Field Values

    - #### caseInsensitive

          protected boolean caseInsensitive

  - ### Constructor Detail

    - #### JdbcEJBQLTranslatorFactory

          public JdbcEJBQLTranslatorFactory()

  - ### Method Detail

    - #### getJoinAppender

          public EJBQLJoinAppender getJoinAppender​(EJBQLTranslationContext context)

      Specified by:
        `getJoinAppender` in interface `EJBQLTranslatorFactory`

    - #### getDeleteTranslator

          public EJBQLExpressionVisitor getDeleteTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getDeleteTranslator` in interface `EJBQLTranslatorFactory`

    - #### getSelectTranslator

          public EJBQLExpressionVisitor getSelectTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getSelectTranslator` in interface `EJBQLTranslatorFactory`

    - #### getUpdateTranslator

          public EJBQLExpressionVisitor getUpdateTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getUpdateTranslator` in interface `EJBQLTranslatorFactory`

    - #### getAggregateColumnTranslator

          public EJBQLExpressionVisitor getAggregateColumnTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getAggregateColumnTranslator` in interface `EJBQLTranslatorFactory`

    - #### getConditionTranslator

          public EJBQLExpressionVisitor getConditionTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getConditionTranslator` in interface `EJBQLTranslatorFactory`

    - #### getFromTranslator

          public EJBQLExpressionVisitor getFromTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getFromTranslator` in interface `EJBQLTranslatorFactory`

    - #### getGroupByTranslator

          public EJBQLExpressionVisitor getGroupByTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getGroupByTranslator` in interface `EJBQLTranslatorFactory`

    - #### getIdentifierColumnsTranslator

          public EJBQLExpressionVisitor getIdentifierColumnsTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getIdentifierColumnsTranslator` in interface `EJBQLTranslatorFactory`

    - #### getOrderByTranslator

          public EJBQLExpressionVisitor getOrderByTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getOrderByTranslator` in interface `EJBQLTranslatorFactory`

    - #### getSelectColumnsTranslator

          public EJBQLExpressionVisitor getSelectColumnsTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getSelectColumnsTranslator` in interface `EJBQLTranslatorFactory`

    - #### getUpdateItemTranslator

          public EJBQLExpressionVisitor getUpdateItemTranslator​(EJBQLTranslationContext context)

      Specified by:
        `getUpdateItemTranslator` in interface `EJBQLTranslatorFactory`

    - #### setCaseInsensitive

          public void setCaseInsensitive​(boolean caseInsensitive)